Subject: Re: [PATCH 5/6] PowerPC 440EPx: Sequoia board support

From: Stefan Roese <[email-masked]>
Date: Fri, 3 Aug 2007 14:25:19 +0200

On Friday 03 August 2007, Valentine Barshak wrote:
> >> Should the 440GRX PVR additions be done in a separate patch?  Or is the
> >> PVR and cpu features truly the only difference between 440EPx and
> >> 440GRx?
> >
> > I think it makes sense to add the 440GRx with this patchset too. The
> > 440GRx is a subset of the 440EPx, missing some stuff like USB, FPU. And
> > the AMCC Rainier 440GRx eval board is a subset of the Sequoia eval board.
> > So no new board specific sources should be necessary to support the
> > Rainier, just a different defconfig file.
> >
> > Best regards,
> > Stefan
>
> I have a Rainier 440GRx board and the PVR is equal to the 440EPx one
> (0x200008D0). This has to be handled somehow, since the
> PPC_FEATURE_HAS_FPU flag should *not* be set for 440GRx.
> I'm really not sure how though. Any ideas are greatly appreciated :)
> Is it a h/w bug?

Depends on interpretation. IIRC currently the same die is used for 440EPx and 
440GRx. I could be wrong here though and it is just a bug in the chip. But 
anyway we should support this somehow. Could be that I missed this in the 
current 440GRx (Rainier) arch/ppc support too. I have to admit, that no 
clever solution comes to my mind right away though.

Best regards,
Stefan